#!/usr/bin/env bash
set -e


# NOTICE: rsync is required (both client and server)

# config
r_user=root
r_host=192.168.0.82
r_port=10010
r_path="/usr/data/zs/$(basename $(dirname $(realpath $0)))"

PROJECT_DIR=${PWD%/sh}/

cd ${PROJECT_DIR}
if [ -e .git ] && [ -e .gitignore ]; then
    cmd="rsync -avzu -e 'ssh -p $r_port' $PROJECT_DIR \"$r_user@$r_host:$r_path\"
        --exclude-from=.gitignore --exclude=.git --exclude=Doxyfile --exclude=API.org --exclude=README.org --exclude=.*"
else
    cmd="rsync -avzu  -e 'ssh -p $r_port' CMakeLists.txt include src lib test tests.db \"$r_user@$r_host:${r_path}\""
fi
echo $cmd
eval $cmd
