#!/usr/bin/env bash


USAGE="Usage: $0 Platform (linux/hisiv510/openwrt/himix200)"

usage()
{
    echo $USAGE
    exit
}


# cross compile system
system[0]="linux"
system[1]="himix200"
system[2]="openwrt"
system[3]="hisiv510"

# projects depended on this lib

# set cmake args
CMAKE_C_COMPILER=
cmake_set_compiler()
{
    case $1 in
        hisiv510 )
            CMAKE_C_COMPILER=arm-hisiv510-linux-gcc
            ;;
        linux )
            CMAKE_C_COMPILER=gcc
            ;;
        openwrt )
            CMAKE_C_COMPILER=mipsel-openwrt-linux-gcc
            ;;
        himix200 )
            CMAKE_C_COMPILER=arm-himix200-linux-gcc
            ;;
        * )
            usage
            ;;
    esac
}

cmake_do_it()
{
    cmd="find lib/$1 -name libAWString* -delete"
    echo $cmd
    eval $cmd

    cmd="cmake -H. -Bbuild -DCMAKE_C_COMPILER=${CMAKE_C_COMPILER} -DCMAKE_BUILD_TYPE=DEBUG"
    echo $cmd
    eval $cmd

    cmd="cmake --build build --clean-first"
    echo $cmd
    eval $cmd
}


# cmake_do_all ()
# {
#     for sys in ${system[@]}
#     do
#         echo $sys
#         cmake_set_compiler $sys
#         cmake_do_it
#     done
# }


# cmake_do_all

cmake_set_compiler $1
cmake_do_it $1
